<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Input Gmail</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<script>
  //REGION 1

  //REGION 2
  $(document).ready(function(){
    $("#form-forgot-password").on("submit", function(event){
      event.preventDefault();
      onFormForgotPasswordSubmit();
    })
  })
  //REGION 3
  function onFormForgotPasswordSubmit(){
    //b1 khai báo đối tượng chứa dữ liêu, thu thập dữ liệu
    var vEmailObj = {
      email: "",
    }
    getDataEmail(vEmailObj);
    //b2 kiểm tra dữ liệu
    var vIsCheck = validateEmailObj(vEmailObj);
    if(vIsCheck){
      //b3 hiển thị thông tin ra console
      showDataEmailToConsole(vEmailObj);
    }
    
  }
  //REGION 4
  //hàm thục hiện thu thập dữ liệu
  function getDataEmail(paramEmailObj){
    paramEmailObj.email = $("#inp-email").val().trim()
  }
  //hàm kiểm tra dữ liệu email
  function validateEmailObj(paramEmailObj){
    var vEmailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    if(paramEmailObj.email == ""){
      alert("Bạn chưa nhập email");
      $("#inp-email").focus();
      return false;
    }
    if(!vEmailRegex.test(paramEmailObj.email)){
      alert("Email nhập vào không đúng định dạng");
      $("#inp-email").focus();
    return false;
    }
    return true;
  }
  //hàm hiển thị thông tin ra console
  function showDataEmailToConsole(paramEmailObj){
    console.log("email: " + paramEmailObj.email);
  }
</script>
<body>
  <div class="d-flex align-items-center justify-content-center" style="height: 100vh;">
    <div class="container">
      <form id="form-forgot-password">
        <div class="row form-group justify-content-center">
          <div class="col-sm-4">
            <div class="row form-group">
              <div class="col-sm-12 text-center">
                <h3>Forgot your password?</h3>
                <br>
                <p>Enter your email address and we will send you instructions to reset your password.</p>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-12">
                <input type="text" placeholder="Email" class="form-control" id="inp-email">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-12">
                <button type="submit" class="btn btn-log btn-block btn-primary" id="btn-email">Continue</button>
              </div>
              <br>
            </div>
            <div class="col-sm-12 d-flex justify-content-center">
              <a href="#">Back to My App</a>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</body>
</html>
